# cond_dealtor.hpp File Reference

## Detailed Description

Contains a conditional deallocator.

Definition in file cond_dealtor.hpp.

Go to the source code of this file.

## Namespaces

- namespace __gnu_pbds
- namespace __gnu_pbds::detail

## Classes

- class __gnu_pbds::detail::cond_dealtor< Entry, Allocator >

## Defines

- #define PB_DS_COND_DEALTOR_CLASS_C_DEC
- #define PB_DS_COND_DEALTOR_CLASS_T_DEC